Lemonldap::NG::Common::CGI(3pm)

NAME
Lemonldap::NG::Common::CGI - Simple module to extend CGI to manage HTTP "If-Modified-Since / 304 Not Modified" system.

SYNOPSIS
  use Lemonldap::NG::Common::CGI;

  my $cgi = Lemonldap::NG::Common::CGI->new();
  $cgi->header_public($ENV{SCRIPT_FILENAME});
  print "<html><head><title>Static page</title></head>";
  ...

DESCRIPTION
Lemonldap::NG::Common::CGI just add header_public subroutine to CGI module to avoid printing HTML elements that can be cached.

METHODS

  header_public
header_public works like header (see CGI) but the first argument has to be a filename: the last modify date of this file is used for reference.

  EXPORT

SEE ALSO
Lemonldap::NG::Manager, CGI, <http://lemonldap-ng.org/>

AUTHOR

Clement Oudot, <clem.oudot@gmail.com>
François-Xavier Deltombe, <fxdeltombe@gmail.com.>
Xavier Guimard, <x.guimard@free.fr>

BUG REPORT
Use OW2 system to report bug or ask for features: <https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/issues>

DOWNLOAD
Lemonldap::NG is available at <http://forge.objectweb.org/project/showfiles.php?group_id=274>

COPYRIGHT AND LICENSE

Copyright (C) 2008-2016 by Xavier Guimard, <x.guimard@free.fr>
Copyright (C) 2012-2013 by François-Xavier Deltombe, <fxdeltombe@gmail.com.>
Copyright (C) 2010-2016 by Clement Oudot, <clem.oudot@gmail.com>

This library is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.